Issue 119707 - Cell border lost when saving and reopening the attached xls file.
Cell border lost when saving and reopening the attached xls file.
Status: CLOSED FIXED
Product: Calc
Classification: Application
Component: save-export
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
: ms_interoperability
Depends on:
Blocks: 120823 121014
  Show dependency treegraph
 
Reported: 2012-06-04 07:14 UTC by Li Lin Yi
Modified: 2012-11-13 03:00 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
cell border lost (37.00 KB, application/vnd.ms-excel)
2012-06-04 07:14 UTC, Li Lin Yi
no flags Details
Add patch (5.92 KB, patch)
2012-09-27 03:13 UTC, Zhang Lu
no flags Details | Diff
Add patch (5.89 KB, patch)
2012-09-27 08:33 UTC, Zhang Lu
no flags Details | Diff
Add patch (5.92 KB, patch)
2012-09-28 01:44 UTC, Zhang Lu
no flags Details | Diff
Add patch (6.32 KB, patch)
2012-09-28 02:50 UTC, Zhang Lu
zhanglu.aoo: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Li Lin Yi 2012-06-04 07:14:02 UTC
Created attachment 77917 [details]
cell border lost

Steps to Reproduce:
1. Open the attached xls file. Check the border in row 65534-65536.
2. Save as another *.xls file and reopen it.

Actual Results: 
The border in row 65534-65536 should be the same as original xls file.

Expected Results:
The border in row 65534-65536 lost.

Build Date & Platform:
Build revision is Rev. 1327774. First found on windows vista.
Comment 1 Zhang Lu 2012-09-27 03:13:59 UTC
Created attachment 79651 [details]
Add patch

I'm working on this defect, and provide a patch.
solution:
To scan the last visual attribute in a column for saving.
Comment 2 Wang Lei 2012-09-27 07:00:51 UTC
(In reply to comment #0)
> Created attachment 77917 [details]
> cell border lost
> 
> Steps to Reproduce:
> 1. Open the attached xls file. Check the border in row 65534-65536.
> 2. Save as another *.xls file and reopen it.
> 
Expected Results:
> Actual Results: 
> The border in row 65534-65536 should be the same as original xls file.
> 

Actual Results
> Expected Results:
> The border in row 65534-65536 lost.
> 
> Build Date & Platform:
> Build revision is Rev. 1327774. First found on windows vista.
Comment 3 Zhang Lu 2012-09-27 08:33:06 UTC
Created attachment 79657 [details]
Add patch
Comment 4 Zhang Lu 2012-09-28 01:44:08 UTC
Created attachment 79666 [details]
Add patch
Comment 5 Zhang Lu 2012-09-28 02:50:10 UTC
Created attachment 79667 [details]
Add patch
Comment 6 Wang Lei 2012-09-28 03:10:52 UTC
The patch looks good, submit in revision 1391286
Comment 7 Shenfeng Liu 2012-11-07 08:22:53 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.
Comment 8 Li Feng Wang 2012-11-08 05:44:43 UTC
Verified pass on trunk r1404513
Comment 9 Wang Lei 2012-11-08 09:33:13 UTC
This may cause performance problem(Bug 121200), roll back part code to do performance verification.
Comment 10 Wang Lei 2012-11-09 07:09:53 UTC
Refix it in revision 1407366
Comment 11 binguo 2012-11-13 03:00:14 UTC
Verified on latest trunk build Aoo_Trunk_20121109.1800 rev 1407366, borders are kept, they display correctly. this bug is fixed.
Comment 12 binguo 2012-11-13 03:00:44 UTC
Close it.